Loading...
Searching...
No Matches
RDKit::v2::FileParsers::SmilesMolSupplier Class Reference

lazy file parser for Smiles tables More...

`#include <MolSupplier.h>`

Inheritance diagram for RDKit::v2::FileParsers::SmilesMolSupplier:

## Public Types

using | iterator = RandomAccessSupplierIter<SmilesMolSupplier>
using | reverse_iterator = std::reverse_iterator<iterator>

## Public Member Functions

| SmilesMolSupplier (const std::string &fileName, const SmilesMolSupplierParams &params=SmilesMolSupplierParams())
| SmilesMolSupplier ()
| SmilesMolSupplier (std::istream *inStream, bool takeOwnership=true, const SmilesMolSupplierParams &params=SmilesMolSupplierParams())
| ~SmilesMolSupplier () override
void | setData (const std::string &text, const SmilesMolSupplierParams &params=SmilesMolSupplierParams())
void | init () override
void | reset () override
std::unique_ptr< RWMol > | next () override
bool | atEnd () override
void | moveTo (unsigned int idx)
std::unique_ptr< RWMol > | operator[] (unsigned int idx)
std::shared_ptr< RWMol > | getShared (unsigned int idx)
std::string | getItemText (unsigned int idx)
| returns the text block for a particular item
unsigned int | length ()
iterator | begin ()
iterator | end ()
reverse_iterator | rbegin ()
reverse_iterator | rend ()
void | setCaching (bool val)
bool | getCaching () const
Public Member Functions inherited from RDKit::v2::FileParsers::MolSupplier
| MolSupplier ()
virtual | ~MolSupplier ()
virtual void | close ()

## Additional Inherited Members

Protected Member Functions inherited from RDKit::v2::FileParsers::MolSupplier
std::istream * | openAndCheckStream (const std::string &filename)
Protected Attributes inherited from RDKit::v2::FileParsers::MolSupplier
std::istream * | dp_inStream = nullptr
bool | df_owner = false

## Detailed Description

lazy file parser for Smiles tables

Definition at line 467 of file MolSupplier.h.

## Member Typedef Documentation

## iterator

using RDKit::v2::FileParsers::SmilesMolSupplier::iterator = RandomAccessSupplierIter<SmilesMolSupplier>

Definition at line 480 of file MolSupplier.h.

## reverse_iterator

using RDKit::v2::FileParsers::SmilesMolSupplier::reverse_iterator = std::reverse_iterator<iterator>

Definition at line 481 of file MolSupplier.h.

## Constructor & Destructor Documentation

## SmilesMolSupplier() [1/3]

RDKit::v2::FileParsers::SmilesMolSupplier::SmilesMolSupplier | ( | const std::string & | fileName,
|  | const SmilesMolSupplierParams & | params = SmilesMolSupplierParams() )

explicit

Parameters

  fileName | - the name of smiles table file
  params | - SmilesMolSupplierParams object controlling how the file itself and the individual SMILES are parsed.

## SmilesMolSupplier() [2/3]

RDKit::v2::FileParsers::SmilesMolSupplier::SmilesMolSupplier | ( |  | ) |

## SmilesMolSupplier() [3/3]

RDKit::v2::FileParsers::SmilesMolSupplier::SmilesMolSupplier | ( | std::istream * | inStream,
|  | bool | takeOwnership = true,
|  | const SmilesMolSupplierParams & | params = SmilesMolSupplierParams() )

explicit

## ~SmilesMolSupplier()

RDKit::v2::FileParsers::SmilesMolSupplier::~SmilesMolSupplier | ( |  | ) |

inline override

Definition at line 495 of file MolSupplier.h.

References RDKit::v2::FileParsers::MolSupplier::close().

## Member Function Documentation

## atEnd()

bool RDKit::v2::FileParsers::SmilesMolSupplier::atEnd | ( |  | ) |

override virtual

Implements RDKit::v2::FileParsers::MolSupplier.

## begin()

iterator RDKit::v2::FileParsers::SmilesMolSupplier::begin | ( |  | ) |

inline

Definition at line 512 of file MolSupplier.h.

Referenced by rend().

## end()

iterator RDKit::v2::FileParsers::SmilesMolSupplier::end | ( |  | ) |

inline

Definition at line 513 of file MolSupplier.h.

References length().

Referenced by rbegin().

## getCaching()

bool RDKit::v2::FileParsers::SmilesMolSupplier::getCaching | ( |  | ) | const

inline

Definition at line 518 of file MolSupplier.h.

## getItemText()

std::string RDKit::v2::FileParsers::SmilesMolSupplier::getItemText | ( | unsigned int | idx | ) |

returns the text block for a particular item

Parameters

  idx | - which item to return

## getShared()

std::shared_ptr< RWMol > RDKit::v2::FileParsers::SmilesMolSupplier::getShared | ( | unsigned int | idx | ) |

## init()

void RDKit::v2::FileParsers::SmilesMolSupplier::init | ( |  | ) |

override virtual

Implements RDKit::v2::FileParsers::MolSupplier.

## length()

unsigned int RDKit::v2::FileParsers::SmilesMolSupplier::length | ( |  | ) |

Referenced by end().

## moveTo()

void RDKit::v2::FileParsers::SmilesMolSupplier::moveTo | ( | unsigned int | idx | ) |

## next()

std::unique_ptr< RWMol > RDKit::v2::FileParsers::SmilesMolSupplier::next | ( |  | ) |

override virtual

Implements RDKit::v2::FileParsers::MolSupplier.

## operator[]()

std::unique_ptr< RWMol > RDKit::v2::FileParsers::SmilesMolSupplier::operator[] | ( | unsigned int | idx | ) |

## rbegin()

reverse_iterator RDKit::v2::FileParsers::SmilesMolSupplier::rbegin | ( |  | ) |

inline

Definition at line 514 of file MolSupplier.h.

References end().

## rend()

reverse_iterator RDKit::v2::FileParsers::SmilesMolSupplier::rend | ( |  | ) |

inline

Definition at line 515 of file MolSupplier.h.

References begin().

## reset()

void RDKit::v2::FileParsers::SmilesMolSupplier::reset | ( |  | ) |

override virtual

Implements RDKit::v2::FileParsers::MolSupplier.

## setCaching()

void RDKit::v2::FileParsers::SmilesMolSupplier::setCaching | ( | bool | val | ) |

inline

Definition at line 517 of file MolSupplier.h.

## setData()

void RDKit::v2::FileParsers::SmilesMolSupplier::setData | ( | const std::string & | text,
|  | const SmilesMolSupplierParams & | params = SmilesMolSupplierParams() )

The documentation for this class was generated from the following file:

- MolSupplier.h